Package twisted :: Package python :: Module formmethod :: Class String

[frames | no frames]

## Class String

    Argument --+
               |
              String

Known Subclasses:
  `Hidden`, `Password`, `Text`, `VerifiedPassword`

A single string.

Method Summary
| `__init__(self, name, default, shortDesc, longDesc, hints, allowNone, min, max)`
| ``coerce`(self, val)` Convert the value to the correct format.
Inherited from Argument
| ``addHints`(self, **kwargs)`
| ``getHint`(self, name, default)`
| ``getLongDescription`(self)`
| ``getShortDescription`(self)`

Class Variable Summary
`str` | `defaultDefault` = `''`
`NoneType` | `max` = None
`int` | `min` = 0

Method Details

### coerce(self, val)

Convert the value to the correct format.

  Overrides:
    `twisted.python.formmethod.Argument.coerce` (inherited documentation)

Class Variable Details

### defaultDefault

  Type:
    `str`
  Value:

        ''

### max

  Type:
    `NoneType`
  Value:

        None

### min

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:38 2004 | http://epydoc.sf.net